- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CglMixIntRoundVUB2 Class Reference

`#include <CglMixedIntegerRounding2.hpp>`

List of all members.

## Public Member Functions
| CglMixIntRoundVUB2 ()
| CglMixIntRoundVUB2 (const CglMixIntRoundVUB2 &source)
CglMixIntRoundVUB2 & | operator= (const CglMixIntRoundVUB2 &rhs)
| ~CglMixIntRoundVUB2 ()
int | getVar () const
double | getVal () const
void | setVar (const int v)
void | setVal (const double v)
## Protected Attributes
int | var_
double | val_

## Detailed Description

Definition at line 33 of file CglMixedIntegerRounding2.hpp.

## Constructor & Destructor Documentation

CglMixIntRoundVUB2::CglMixIntRoundVUB2 | ( |  | ) | `[inline]`

Definition at line 44 of file CglMixedIntegerRounding2.hpp.

CglMixIntRoundVUB2::CglMixIntRoundVUB2 | ( | const CglMixIntRoundVUB2 & | source | ) | `[inline]`

Definition at line 47 of file CglMixedIntegerRounding2.hpp.

References val_, and var_.

CglMixIntRoundVUB2::~CglMixIntRoundVUB2 | ( |  | ) | `[inline]`

Definition at line 62 of file CglMixedIntegerRounding2.hpp.

## Member Function Documentation

CglMixIntRoundVUB2& CglMixIntRoundVUB2::operator= | ( | const CglMixIntRoundVUB2 & | rhs | ) | `[inline]`

Definition at line 53 of file CglMixedIntegerRounding2.hpp.

References val_, and var_.

int CglMixIntRoundVUB2::getVar | ( |  | ) | const`[inline]`

Definition at line 65 of file CglMixedIntegerRounding2.hpp.

References var_.

double CglMixIntRoundVUB2::getVal | ( |  | ) | const`[inline]`

Definition at line 66 of file CglMixedIntegerRounding2.hpp.

References val_.

void CglMixIntRoundVUB2::setVar | ( | const int | v | ) | `[inline]`

Definition at line 67 of file CglMixedIntegerRounding2.hpp.

References var_.

void CglMixIntRoundVUB2::setVal | ( | const double | v | ) | `[inline]`

Definition at line 68 of file CglMixedIntegerRounding2.hpp.

References val_.

## Member Data Documentation

int CglMixIntRoundVUB2::var_`[protected]`

Definition at line 39 of file CglMixedIntegerRounding2.hpp.

Referenced by CglMixIntRoundVUB2(), getVar(), operator=(), and setVar().

double CglMixIntRoundVUB2::val_`[protected]`

Definition at line 40 of file CglMixedIntegerRounding2.hpp.

Referenced by CglMixIntRoundVUB2(), getVal(), operator=(), and setVal().

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Cgl-0.55.0/Cgl/src/CglMixedIntegerRounding2/CglMixedIntegerRounding2.hpp